#
# spec file for package e3
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           e3
BuildRequires:  nasm
Url:            http://sites.google.com/site/e3editor/
Version:        2.8
Release:        22.1
Summary:        Tiny Editor with Many Different Modes like Vi, Emacs, and Wordstar
License:        GPL-2.0+
Group:          Productivity/Editors/Other
Source:         %{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
ExclusiveArch:  %ix86 x86_64

%description
A very tiny editor, which offers many different modes like Vi, Emacs,
and Wordstar. Wordstar is the default mode.

%prep
%setup

%build 
make -e EXMODE=SED %{?_smp_mflags}

%install
make -e PREFIX=%buildroot/%_prefix MANDIR=$RPM_BUILD_ROOT%_mandir/man'$(MANSEC)' install
cd $RPM_BUILD_ROOT/usr/bin
for e in e3*; do if test $e != e3; then ln -sf e3 $e; fi; done

%files
%defattr(-,root,root)
%doc COPYING.GPL COPYRIGHT ChangeLog README
/usr/bin/e3*
%_mandir/man1/e3*.1.gz

%changelog
* Sun Mar  3 2013 schwab@suse.de
- Remove reference to nonexisting e3c stuff
- ExclusiveArch %%ix86 x86_64
* Wed Feb 29 2012 dvaleev@suse.com
- Fix build for ppc, add ppc ppc64 to arch declerations
* Fri Sep 30 2011 awafaa@opensuse.org
- Fix build issues on ARM, add %%arm to arch declerations
* Sun Sep 18 2011 jengelh@medozas.de
- Remove redundant/obsolete tags/sections from specfile
  (cf. packaging guidelines)
- Use %%_smp_mflags for parallel build
* Tue Aug  3 2010 stephan.barth@novell.com
- Update to version 2.8 which is mainly a major cleanup and contains several
  encoding fixes
- removed deprecated COMPRESS make environment variable
- added make variable EXMODE=SED since this was the default and got removed
  from the Makefile
* Fri Dec  4 2009 stephan.barth@novell.com
- Update to version 2.7.1 which contains a lot of bugfixes compared to the
  previous version of the SUSE package
- Fixed x86_64 build (bnc #341432)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Sat Jan 21 2006 cthiel@suse.de
- update to version 2.6.3
* Fri Apr 29 2005 yxu@suse.de
- fixed for GCC4
* Thu Apr 28 2005 snbarth@suse.de
- update to version 2.6.2
* Mon Jul 19 2004 snbarth@suse.de
- update to version 2.6.0 which now support UTF-8. Fixes bug #41084
* Sat Feb 28 2004 ro@suse.de
- fix build for non-x86
* Fri Feb 27 2004 snbarth@suse.de
- disabled the gzexe feature
* Sun Jan 11 2004 adrian@suse.de
- add %%defattr
* Wed Jul 23 2003 coolo@suse.de
- use BuildRoot
* Fri Jul  5 2002 kukuk@suse.de
- Use %%ix86 macro
* Mon Dec 17 2001 snbarth@suse.de
- update -> 1.9
* Tue Jul 10 2001 uli@suse.de
- was building i386 binary on non-IA32 archs, fixed
- update -> 1.7
* Tue Jul  3 2001 snbarth@suse.de
- initial version
